REMOVE(3)

NAME
remove - remove directory entry

SYNOPSIS
#include <stdio.h>
int
remove(const char *path);

DESCRIPTION
The remove() function is an alias for the unlink(2) system call. It deletes the file referenced by path.

RETURN VALUES
Upon successful completion, remove() returns 0. Otherwise, -1 is returned and the global variable errno is set to indicate the error.

ERRORS
The remove() function may fail and set errno for any of the errors specified for the routine unlink(2).

SEE ALSO
unlink(2)

STANDARDS
The remove() function conforms to ansiC.